Subject: bug#10170: 24.0.91; scroll-conservatively in a c-mode buffer

From: Dani Moncayo <[email-masked]>
Date: Wed, 30 Nov 2011 15:54:04 +0100

Recipe from "emacs -Q":

1. Eval: (setq scroll-conservatively 101)
2. Eval: (setq scroll-margin 1)
3. Eval: (custom-set-faces '(mode-line ((t (:box (:line-width 1))))))
4. Visit the attached file (c-mode should be activated automatically).
5. Type: `C-s p'

The point jumps to line "/*p1*/" but an instant later the buffer is
scrolled vertically by 1 line.  This last scrolling should be avoided,
i.e., the buffer should be displayed in the right position without
having to correct its location afterwards.

In GNU Emacs 24.0.91.1 (i386-mingw-nt5.1.2600)
 of 2011-11-25 on DANI-PC
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.6) --cflags -fno-omit-frame-pointer'

-- 
Dani Moncayo